package com.zm.order.tool.server.tempdb;

import com.zm.order.tool.server.model.IdOrderNo;
import com.zm.order.tool.server.model.OrderData;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author nianchang
 * @ClassName IdMapDao
 * @date 2021/10/18 4:36 下午
 */
@Repository
public interface OrderDataDao {

    int insertList(List<IdOrderNo> list);

    List<OrderData> selectList(Long lastId);

    List<IdOrderNo> selectListById(Long lastId);

    IdOrderNo selectOne(String orderNo);

    void update(Long id, Integer status);
}
